#
# spec file for package gap-automata
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-automata
Summary:        GAP: A package on automata
Version:        1.13
Release:        lp150.1.2
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://cmup.fc.up.pt/cmup/mdelgado/automata/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/automata-%version.tar.bz2
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       gap-core >= 4.4
Requires:       graphviz
Suggests:       gap-gapdoc >= 1.2

%description
The features of this package include

- computing a rational expression for the language recognized by a
  finite automaton;

- compute an automaton for the language given by a rational
  expression;

- minimalize a finite automaton;

- has some features (using the external program GraphViz) to
  visualize automata;

%prep
%setup -qn automata

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Fri May 10 2013 jengelh@inai.de
- Split automata (version 1.13) off the gap RPM package
